﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cVaxCallPickup
    {
        public bool IsPickUpCall(string sDialNo)
        {
            if(sDialNo.IndexOf("#5#") != 0)
            {
                return false;
            }

            return true;
        }

        public bool PickUpCall(int nSessionId, string sDialNo)
        {
            string sMemberName = sDialNo.Trim();
            sMemberName = sMemberName.Replace("#5#", "");
            sMemberName = sMemberName.Trim();

            return cVaxServerExCOM.m_objVaxServerExCOM.PickUpCall(nSessionId, sMemberName);
        }

        public void OnIncomingCall(int nSessionId, string sDialNo, int nFromPeerType, string sFromPeerName, ref bool bProcessed)
        {
            bProcessed = false;

            if(nFromPeerType != cVaxServerCOM.VAX_PEER_TYPE_USER)
            {
                return;
            }

            if(!IsPickUpCall(sDialNo))
                return;

            if(!PickUpCall(nSessionId, sDialNo))
                return;

            bProcessed = true;
        }
    }
}
