﻿Class cRingGroupUserDetails

    Public m_sUserName As String

    Public Sub New(ByVal sUserName As String)
        m_sUserName = sUserName
    End Sub

End Class

''' <summary>
''' ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''' </summary>
''' <remarks></remarks>

Public Class cRingGroupUserList

    Dim m_objRingGroupUserList As New Dictionary(Of String, cRingGroupUserDetails)

    Public Sub New()
    End Sub

    Public Function AddAgent(ByVal sUserName As String) As Boolean

        Dim objDetails As cRingGroupUserDetails = Nothing

        m_objRingGroupUserList.TryGetValue(sUserName, objDetails)
        If (Not objDetails Is Nothing) Then Return True

        objDetails = New cRingGroupUserDetails(sUserName)

        objDetails.m_sUserName = sUserName
        m_objRingGroupUserList.Add(sUserName, objDetails)

        Return True
    End Function

    Public Sub RemoveAgent(ByVal sUserName As String)

        Dim objDetails As cRingGroupUserDetails = Nothing

        m_objRingGroupUserList.TryGetValue(sUserName, objDetails)
        If (objDetails Is Nothing) Then Return

        m_objRingGroupUserList.Remove(sUserName)

    End Sub

    Public Sub GetRingGroupAgentList(ByRef sUserNameList As List(Of String))

        For Each objDetails As KeyValuePair(Of String, cRingGroupUserDetails) In m_objRingGroupUserList
            sUserNameList.Add(objDetails.Value.m_sUserName)
        Next

    End Sub

    Public Function GetCount() As Integer

        Return m_objRingGroupUserList.Count()

    End Function

    Public Function GetRingGroupAgentAt(ByVal nIndex As Integer) As String

        Dim objDetails As cRingGroupUserDetails = Nothing

        If (m_objRingGroupUserList.Count() <= nIndex) Then Return ""

        Dim objRingGroupUserDetails As KeyValuePair(Of String, cRingGroupUserDetails) = m_objRingGroupUserList.ElementAt(nIndex)
        objDetails = objRingGroupUserDetails.Value

        Return objDetails.m_sUserName

    End Function

    Public Sub DeleteAgentAll()
        m_objRingGroupUserList.Clear()
    End Sub

End Class
