unit VaxError;

interface

uses
    VaxDefine,
    VaxTeleServerSIP,
    VaxServerRoot;

type TVaxError = class(TVaxServerRoot)

    public
    m_objVaxServer : TVaxTeleServerSIP;

    public
    constructor Create();

    public
    procedure OnVaxErrorLog(sFuncName: WideString; nErrorCode: Integer; sErrorMsg: WideString); override;

end;

implementation

  constructor TVaxError.Create();
  begin
    inherited;
    inherited AddRef(TVaxDefine.ID_CLASS_ERROR_SIP); //ID_CLASS_ERROR_SIP = 6
  end;

  procedure TVaxError.OnVaxErrorLog(sFuncName: WideString; nErrorCode: Integer; sErrorMsg: WideString);
  begin
    m_objVaxServer.OnVaxErrorLog(sFuncName, nErrorCode, sErrorMsg);
  end;

end.
